#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libgweather-3.36.1

- Next

  libwnck-3.36.0

- Up
- Home

# libpeas-1.28.0

## Introduction to libpeas

libpeas is a GObject based plugins engine, and is targeted at giving every application the chance to assume its own extensibility.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libpeas/1.28/libpeas-1.28.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libpeas/1.28/libpeas-1.28.0.tar.xz

- Download MD5 sum: 62a5d01e9561f8fafca68e2863640735

- Download size: 188 KB

- Estimated disk space required: 12 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### libpeas Dependencies

#### Required

gobject-introspection-1.66.1 and GTK+-3.24.25

#### Recommended

libxml2-2.9.10 and PyGObject-3.38.0

#### Optional

GTK-Doc-1.33.2, Glade, embed, LGI (for LUA bindings, built with LUA-5.1), with either luajit or LUA-5.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libpeas

## Installation of libpeas

First, adapt the tests to changes in meson-0.55:

    sed -i 's/test_exe,/test_exe, depends: [libintrospection_gir],/' tests/libpeas/meson.build

Install libpeas by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr .. &&
    ninja

To test the results, issue: ninja test. An active graphical session with bus address is necessary to run the tests.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dvapi=true`: Add this switch if you wish to generate vapi (vala) data.

`-Ddemos=false`: Add this switch if you do not wish to build the demo programs.

`-Dgtk-doc=true`: Add this switch if wish to build the reference manual.

## Contents

Installed Program: peas-demo
Installed Libraries: libpeas-1.0.so and libpeas-gtk-1.0.so
Installed Directories: /usr/include/libpeas-1.0, /usr/lib/libpeas-1.0, /usr/lib/peas-demo and /usr/share/gtk-doc/html/libpeas

### Short Descriptions

peas-demo | is the Peas demo program
`libpeas-1.0.so` | contains the libpeas API functions
`libpeas-gtk-1.0.so` | contains the libpeas GTK+ widgets

Last updated on 2021-02-24 18:50:56 -0800

- Prev

  libgweather-3.36.1

- Next

  libwnck-3.36.0

- Up
- Home